body.theme-sweet {
  --link: #6396d3;
  --line-chart-line-path: #8b5bad;
  --line-chart-gridline-path: #000;
  --save-icon-1: #6396d3;
  --save-icon-2: #fdf2f8;
  --save-icon-3: #cc85ff;
  --edit-icon-1: #5078aa;
  --edit-icon-2: #fdf2f8;
  --edit-icon-3: #cc85ff;
  --edit-icon-4: #6da3e6;
  --memo-1: #5d1fa0;
  --memo-2: #cc9cff;
  --memo-3: #b972f7;
  --memo-4: #af71ff;
}

body.theme-gothic {
  --link: #3f0670;
  --line-chart-line-path: #3f0670;
  --line-chart-gridline-path: #fff;
  --save-icon-1: #000;
  --save-icon-2: #fdf2f8;
  --save-icon-3: #0a0077;
  --edit-icon-1: #0a0077;
  --edit-icon-2: #fdf2f8;
  --edit-icon-3: #000;
  --edit-icon-4: #1c0cc9;
  --memo-1: #1c0cc9;
  --memo-2: #ece4e9;
  --memo-3: #110e33;
  --memo-4: #a6a0ff;
}

body.theme-classic {
  --link: #892806;
  --line-chart-line-path: #892806;
  --line-chart-gridline-path: #000;
  --save-icon-1: #422a1a;
  --save-icon-2: #fdf2f8;
  --save-icon-3: #d32a09;
  --edit-icon-1: #422a1a;
  --edit-icon-2: #fdf2f8;
  --edit-icon-3: #d32a09;
  --edit-icon-4: #a36943;
  --memo-1: #a04e1f;
  --memo-2: #ffab9c;
  --memo-3: #f78d72;
  --memo-4: #b91313;
}

.visualy-hidden {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

.kaomoji,
.no-font {
  font-family: 'Droid Sans', sans-serif !important;
}

.text-center {
  text-align: center;
}

b {
  font-weight: bold;
}

.small-yes {
  height: 22px;
  width: 49px;
}

.ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

a:not([mel-button]) {
  text-decoration: none;
  &,
  &:link,
  &:visited {
    color: var(--link);
  }
}

.result-text {
  font-size: var(--secondary-font-size-small);
  margin: var(--spacing) 0;
  padding: var(--spacing) 0;
  text-align: justify;

  .title {
    text-align: left;
    font-weight: bold;
    text-decoration: underline;
    display: block;
    margin-bottom: var(--spacing-small);
    margin-top: var(--spacing);
  }
}

g.line-chart > g:last-of-type > g:nth-child(n) g.line-series > path {
  stroke-width: 5;
  stroke-linecap: round;
}

.ngx-charts .gridline-path {
  fill: none;
  stroke: var(--line-chart-gridline-path) !important;
  stroke-width: 1;
  opacity: 0;
}
